<?php
/* vim: set et ts=4 sw=4 sts=4 ai: */
// +----------------------------------------------------------------------+
// | Delete an entire thread                                              |
// +----------------------------------------------------------------------+
// | @version $Revision: 1.1 $
// +----------------------------------------------------------------------+

if(!$page) { exit; }

// Only moderators should see this page
$tripcode = tripcode($_COOKIE["tripcode"]);
$tripcodes = explode(",",MODERATORS);
if(!in_array($tripcode,$tripcodes)) {
    $page->fail($ERRORS["unauthorized"]);
}

if (is_numeric($_GET["id"])) {
    $id = $_GET["id"];

    // Check that this is a parent
    $image = getImage($id);
    if(!$image || $image["parent"]) {
        // Thread starter must be specified
        $page->fail($ERRORS["baddata"]);
    }

    // Lookup children && delete them
    $children = getComments(array($id));
    if(count($children[$id])>0) {
        foreach($children[$id] as $child) {
            if(!deleteImage($child["id"])) {
                $page->fail($ERRORS["queryfail"] . " (${child["id"]})");
            }
        }
    }

    // Now the parent
    if(!deleteImage($id)) {
        $page->fail($ERRORS["queryfail"] . " ($id)");
    }

    echo $STRINGS["deletethanks"];
    
} else {
    $page->fail($ERRORS["unknownrequest"]);
}
?>
